pantry-0.9.3.2: Content addressable Haskell package management

Safe Haskell | Safe-Inferred
Language | Haskell2010

Pantry.SQLite

Synopsis

- data Storage = Storage {
  - withStorage_ :: forall env a. HasLogFunc env => ReaderT SqlBackend (RIO env) a -> RIO env a
  - withWriteLock_ :: forall env a. HasLogFunc env => RIO env a -> RIO env a
  }
- initStorage :: HasLogFunc env => Text -> Migration -> Path Abs File -> (Storage -> RIO env a) -> RIO env a

# Documentation

data Storage Source #

Represents a SQL database connection.

Constructors

Storage |

Fields

- withStorage_ :: forall env a. HasLogFunc env => ReaderT SqlBackend (RIO env) a -> RIO env a
- withWriteLock_ :: forall env a. HasLogFunc env => RIO env a -> RIO env a

initStorage Source #

Arguments

:: HasLogFunc env |
=> Text | Database description, for lock messages.
-> Migration | Initial migration.
-> Path Abs File | SQLite database file.
-> (Storage -> RIO env a) | What to do with the initialised `Storage`.
-> RIO env a |